Bug 969778 - Power Management failed if no proxy preferences is defined for the host
Power Management failed if no proxy preferences is defined for the host
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Eli Mesika
Tareq Alayan
infra
:
Depends On:
Blocks: 970623
  Show dependency treegraph
 
Reported: 2013-06-02 06:37 EDT by Eli Mesika
Modified: 2016-02-10 14:16 EST (History)
13 users (show)

See Also:
Fixed In Version: sf17.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 15274 None None None Never

  None (edit)
Description Eli Mesika 2013-06-02 06:37:58 EDT
Description of problem:
Power Management failed if no pm_proxy preferences is defined for the host.
The pm_proxy_preferences is a per-host field in vds_static that defined how to look for a proxy host. (cluster then DC or vice versa)
In case that pm_proxy preference is not defined , it should be taken from the FenceProxyDefaultPreferences configuration value which is defaulted to "cluster,dc"
However, the code that checks for existance of pm_proxy preferences checks for null only and if it is an empty string , it is used 
The error on the log is :

 2013-06-02 13:04:25,013 ERROR [org.ovirt.engine.core.bll.FenceExecutor]    
 Illegal value in PM Proxy Preferences string , skipped

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Configure a Host with PM , so not assign value to the Source field
2.Try to fence this Host
3.

Actual results:
Error 
2013-06-02 13:04:25,013 ERROR [org.ovirt.engine.core.bll.FenceExecutor]    
 Illegal value in PM Proxy Preferences string , skipped


Expected results:
Host should use default "clsuter,dc" value from the config and Host shouyld be fenced 


Additional info:
Comment 7 Itamar Heim 2013-06-11 04:37:57 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 04:37:58 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 04:37:58 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:45:58 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.